This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500639 - yaboot-debuginfo is empty
yaboot-debuginfo is empty
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yaboot (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Roman Rakus
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 10:12 EDT by Alexander Todorov
Modified: 2014-01-12 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-13 10:12:42 EDT
Description of problem:
yaboot-debuginfo is empty although yaboot package contains ELF objects

Version-Release number of selected component (if applicable):
yaboot-debuginfo-1.3.13-7.el5.ppc.rpm

How reproducible:
always

Steps to Reproduce:
1. rpm -qpl yaboot-debuginfo-1.3.13-7.el5.ppc.rpm
2.
3.
  
Actual results:
empty package

Expected results:
package contains debugging information

Additional info:
Comment 1 Roman Rakus 2009-05-13 10:51:40 EDT
yaboot is bootloader. It contains ELF object, but it is not Linux or MacOS executable file. Yaboot is meant to be executed only by OpenFirmware.
Comment 3 Alexander Todorov 2009-05-13 11:03:35 EDT
(In reply to comment #1)
> yaboot is bootloader. It contains ELF object, but it is not Linux or MacOS
> executable file. Yaboot is meant to be executed only by OpenFirmware.  

In this case the -debuginfo package should not be generated at all.
Comment 5 Roman Rakus 2009-05-20 08:21:40 EDT
Fixed in yaboot-1.3.13-8.el5.ppc.rpm
Comment 9 errata-xmlrpc 2009-09-02 07:53:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1386.html

Note You need to log in before you can comment on or make changes to this bug.